## ros-galactic-moveit-ros-planning 2.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(moveit_ros_planning)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

find_package(ament_cmake REQUIRED)
find_package(moveit_msgs REQUIRED)
# find_package(moveit_ros_perception REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(message_filters REQUIRED)
find_package(srdfdom REQUIRED)
find_package(urdf REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_geometry_msgs REQUIRED)
find_package(tf2_eigen REQUIRED)
find_package(tf2_msgs REQUIRED)
find_package(tf2_ros REQUIRED)
find_package(Eigen3 REQUIRED)
find_package(moveit_core REQUIRED)
find_package(ament_index_cpp REQUIRED)
find_package(moveit_ros_occupancy_map_monitor REQUIRED)

# Finds Boost Components
include(ConfigExtras.cmake)

set(THIS_PACKAGE_INCLUDE_DIRS
    rdf_loader/include
    kinematics_plugin_loader/include
    robot_model_loader/include
    constraint_sampler_manager_loader/include
    planning_pipeline/include
    planning_scene_monitor/include
    trajectory_execution_manager/include
    plan_execution/include
    collision_plugin_loader/include
    moveit_cpp/include
)

set(THIS_PACKAGE_LIBRARIES
  moveit_rdf_loader
  moveit_kinematics_plugin_loader
  moveit_robot_model_loader
  moveit_constraint_sampler_manager_loader
  moveit_planning_pipeline
  moveit_trajectory_execution_manager
  moveit_plan_execution
  moveit_planning_scene_monitor
  moveit_collision_plugin_loader
  moveit_default_planning_request_adapter_plugins
  moveit_cpp
)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  pluginlib
  rclcpp
  message_filters
  srdfdom
  urdf
  tf2
  tf2_eigen
  tf2_ros
  Eigen3
  moveit_core
  # moveit_ros_perception
  moveit_ros_occupancy_map_monitor
  moveit_msgs
  tf2_msgs
  tf2_geometry_msgs
)

include_directories(${THIS_PACKAGE_INCLUDE_DIRS})
include_directories(SYSTEM
                    ${EIGEN3_INCLUDE_DIRS})

add_subdirectory(rdf_loader)
add_subdirectory(collision_plugin_loader)
add_subdirectory(kinematics_plugin_loader)
add_subdirectory(robot_model_loader)
add_subdirectory(constraint_sampler_manager_loader)
add_subdirectory(planning_pipeline)
add_subdirectory(planning_request_adapter_plugins)
add_subdirectory(planning_scene_monitor)
add_subdirectory(planning_components_tools)
add_subdirectory(trajectory_execution_manager)
add_subdirectory(plan_execution)
add_subdirectory(moveit_cpp)

install(
  TARGETS ${THIS_PACKAGE_LIBRARIES}
  EXPORT export_${PROJECT_NAME}
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})

pluginlib_export_plugin_description_file(moveit_core "planning_request_adapters_plugin_description.xml")

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # These don't pass yet, disable them for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cppcheck_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)

  # Run all lint tests in package.xml except those listed above
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(CONFIG_EXTRAS ConfigExtras.cmake)

=== kinematics_plugin_loader/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_kinematics_plugin_loader)

add_library(${MOVEIT_LIB_NAME} SHARED src/kinematics_plugin_loader.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
ament_target_dependencies(${MOVEIT_LIB_NAME}
  rclcpp
  urdf
  pluginlib
  class_loader
  moveit_core
  Boost
)
target_link_libraries(${MOVEIT_LIB_NAME}
  moveit_rdf_loader
)

install(DIRECTORY include/ DESTINATION include)

=== plan_execution/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_plan_execution)

add_library(${MOVEIT_LIB_NAME} SHARED
  src/plan_with_sensing.cpp
  src/plan_execution.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME}
    moveit_planning_pipeline
    moveit_planning_scene_monitor
    moveit_trajectory_execution_manager
)
ament_target_dependencies(${MOVEIT_LIB_NAME}
  moveit_core
  rclcpp
  Boost
  class_loader
  pluginlib
)

install(DIRECTORY include/ DESTINATION include)

=== planning_components_tools/CMakeLists.txt ===
# NOTE: For some reason ament_lint_cmake [linelength] only complains about this file
# TODO(henningkayser): Disable linelength filter once number of digits is configurable - set to 120
# lint_cmake: -linelength
add_executable(moveit_print_planning_model_info src/print_planning_model_info.cpp)
target_link_libraries(moveit_print_planning_model_info moveit_robot_model_loader)
ament_target_dependencies(moveit_print_planning_model_info
    rclcpp
)

add_executable(moveit_print_planning_scene_info src/print_planning_scene_info.cpp)
target_link_libraries(moveit_print_planning_scene_info moveit_planning_scene_monitor)
ament_target_dependencies(moveit_print_planning_scene_info
    rclcpp
)

add_executable(moveit_display_random_state src/display_random_state.cpp)
target_link_libraries(moveit_display_random_state moveit_planning_scene_monitor)
ament_target_dependencies(moveit_display_random_state
    rclcpp
)

add_executable(moveit_visualize_robot_collision_volume src/visualize_robot_collision_volume.cpp)
target_link_libraries(moveit_visualize_robot_collision_volume moveit_planning_scene_monitor)
ament_target_dependencies(moveit_visualize_robot_collision_volume
    rclcpp
    tf2_ros
)

add_executable(moveit_evaluate_collision_checking_speed src/evaluate_collision_checking_speed.cpp)
target_link_libraries(moveit_evaluate_collision_checking_speed moveit_planning_scene_monitor)
ament_target_dependencies(moveit_evaluate_collision_checking_speed
    rclcpp
    Boost
)

if("${catkin_LIBRARIES}" MATCHES "moveit_collision_detection_bullet")
  add_executable(moveit_compare_collision_checking_speed_fcl_bullet src/compare_collision_speed_checking_fcl_bullet.cpp)
  target_link_libraries(moveit_compare_collision_checking_speed_fcl_bullet
    moveit_planning_scene_monitor
    ${catkin_LIBRARIES}
    ${Boost_LIBRARIES}
  )
endif()

add_executable(moveit_kinematics_speed_and_validity_evaluator src/kinematics_speed_and_validity_evaluator.cpp)
target_link_libraries(moveit_kinematics_speed_and_validity_evaluator moveit_robot_model_loader)
ament_target_dependencies(moveit_kinematics_speed_and_validity_evaluator
    rclcpp
    moveit_core
)

add_executable(moveit_evaluate_state_operations_speed src/evaluate_state_operations_speed.cpp)
target_link_libraries(moveit_evaluate_state_operations_speed  moveit_robot_model_loader)
ament_target_dependencies(moveit_evaluate_state_operations_speed
    rclcpp
    moveit_core
)

add_executable(moveit_publish_scene_from_text src/publish_scene_from_text.cpp)
target_link_libraries(moveit_publish_scene_from_text moveit_planning_scene_monitor moveit_robot_model_loader)
ament_target_dependencies(moveit_publish_scene_from_text
    rclcpp
)

install(TARGETS
  moveit_print_planning_model_info
  moveit_print_planning_scene_info
  moveit_display_random_state
  moveit_visualize_robot_collision_volume
  moveit_evaluate_collision_checking_speed
  moveit_evaluate_state_operations_speed
  moveit_kinematics_speed_and_validity_evaluator
  moveit_publish_scene_from_text
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)
# lint_cmake:

=== rdf_loader/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_rdf_loader)

add_library(${MOVEIT_LIB_NAME} SHARED src/rdf_loader.cpp src/synchronized_string_parameter.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
ament_target_dependencies(${MOVEIT_LIB_NAME}
      rclcpp
      ament_index_cpp
      urdf
      srdfdom
      moveit_core
      Boost)

install(DIRECTORY include/ DESTINATION include)
install(DIRECTORY
            test/data
            test/launch
        DESTINATION share/${PROJECT_NAME}/rdf_loader/test
)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ros_testing REQUIRED)

  ament_add_gtest_executable(test_rdf_integration
      test/test_rdf_integration.cpp
  )
  target_link_libraries(test_rdf_integration ${MOVEIT_LIB_NAME})
  add_ros_test(test/launch/test_rdf_integration.test.py TIMEOUT 120)

  add_executable(boring_string_publisher test/boring_string_publisher.cpp)
  target_link_libraries(boring_string_publisher ${MOVEIT_LIB_NAME})

  install(
    TARGETS
      test_rdf_integration boring_string_publisher
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION lib/${PROJECT_NAME}
  )
endif()

=== robot_model_loader/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_robot_model_loader)

if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
  add_compile_options(-Wno-potentially-evaluated-expression)
endif()

add_library(${MOVEIT_LIB_NAME} SHARED src/robot_model_loader.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
ament_target_dependencies(${MOVEIT_LIB_NAME}
  rclcpp
  urdf
  Boost
  moveit_core
)
target_link_libraries(${MOVEIT_LIB_NAME}
  moveit_rdf_loader
  moveit_kinematics_plugin_loader
)

install(DIRECTORY include/ DESTINATION include)

=== trajectory_execution_manager/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_trajectory_execution_manager)

add_library(${MOVEIT_LIB_NAME} SHARED src/trajectory_execution_manager.cpp)
include(GenerateExportHeader)
generate_export_header(${MOVEIT_LIB_NAME})
target_include_directories(${MOVEIT_LIB_NAME} PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
ament_target_dependencies(${MOVEIT_LIB_NAME}
  moveit_core
  moveit_ros_occupancy_map_monitor
  rclcpp
  Boost
  pluginlib
  std_msgs
  sensor_msgs
  moveit_msgs
  tf2_eigen
)
target_link_libraries(${MOVEIT_LIB_NAME}
  moveit_planning_scene_monitor
)

install(DIRECTORY include/ DESTINATION include)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${MOVEIT_LIB_NAME}_export.h DESTINATION include)

if(CATKIN_ENABLE_TESTING)

## This needs further cleanup before it can run
# add_library(test_controller_manager_plugin test/test_moveit_controller_manager_plugin.cpp)
# set_target_properties(test_controller_manager_plugin PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
# target_link_libraries(test_controller_manager_plugin ${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
#
# find_package(rostest REQUIRED)
# add_rostest_gtest(test_execution_manager
#                   test/test_execution_manager.test
#                   test/test_execution_manager.cpp)
# target_link_libraries(test_execution_manager ${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
endif()

=== debian/changelog ===
ros-galactic-moveit-ros-planning (2.3.4-1focal) focal; urgency=high

  * Fix race condition in SynchronizedStringParameter::waitForMessage (#1050 <https://github.com/ros-planning/moveit2/issues/1050>) (#1062 <https://github.com/ros-planning/moveit2/issues/1062>)
  * Remove unused parameters. (#1018 <https://github.com/ros-planning/moveit2/issues/1018>) (#1023 <https://github.com/ros-planning/moveit2/issues/1023>)
  * Contributors: Tyler Weaver, Cory Crean, Tyler Weaver, Vatan Aksoy Tezer

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 07 Feb 2022 07:00:00 -0000

ros-galactic-moveit-ros-planning (2.3.3-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 20 Jan 2022 07:00:00 -0000

ros-galactic-moveit-ros-planning (2.3.2-1focal) focal; urgency=high

  * Add ros_testsing to moveit_ros_planning for rdf_loader (#943 <https://github.com/ros-planning/moveit2/issues/943>)
  * Contributors: Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 29 Dec 2021 07:00:00 -0000

ros-galactic-moveit-ros-planning (2.3.1-1focal) focal; urgency=high

  * Replaced C-Style Cast with C++ Style Cast. (#935 <https://github.com/ros-planning/moveit2/issues/935>)
  * Add codespell to precommit, fix A LOT of spelling mistakes (#934 <https://github.com/ros-planning/moveit2/issues/934>)
  * Get rid of "std::endl" (#918 <https://github.com/ros-planning/moveit2/issues/918>)
  * changed post-increments in loops to preincrements (#888 <https://github.com/ros-planning/moveit2/issues/888>)
  * Latched Strings for URDF and SRDF (#765 <https://github.com/ros-planning/moveit2/issues/765>)
  * Consider simulated time (#883 <https://github.com/ros-planning/moveit2/issues/883>)
  * Make controller management logic more tolerant of missing or late ros2_control nodes (#792 <https://github.com/ros-planning/moveit2/issues/792>)
  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * Tests for TrajectoryMonitor using dependency injection (#570 <https://github.com/ros-planning/moveit2/issues/570>)
  * Update controller_manager_plugin to fix MoveIt-managed controller switching (#785 <https://github.com/ros-planning/moveit2/issues/785>)
  * MoveitCpp - path constraints added from PlanningComponent (backport #752 <https://github.com/ros-planning/moveit2/issues/752>) (#781 <https://github.com/ros-planning/moveit2/issues/781>)
  * Split CollisionPluginLoader (#2834 <https://github.com/ros-planning/moveit/issues/2834>)
  * Bugfix in RDFLoader (#2806 <https://github.com/ros-planning/moveit/issues/2806>)
  * Fix obvious typo (#2787 <https://github.com/ros-planning/moveit/issues/2787>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Abishalini Sivaraman, Dave Coleman, David V. Lu!!, Felix von Drigalski, Gaël Écorchard, Henning Kayser, Joseph Schornak, Kaustubh, Mathias Lüdtke, Michael Görner, Parthasarathy Bana, Robert Haschke, Sencer Yazıcı, pvanlaar, werner291

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 23 Dec 2021 07:00:00 -0000

ros-galactic-moveit-ros-planning (2.3.0-1focal) focal; urgency=high

  * Make TF buffer & listener in PSM private (#654 <https://github.com/ros-planning/moveit2/issues/654>)
  * kinematics_plugin_loader: Revert accidental change in logging level (#692 <https://github.com/ros-planning/moveit2/issues/692>)
  * Add Ruckig trajectory_processing plugin (jerk-limited) (#571 <https://github.com/ros-planning/moveit2/issues/571>)
  * PlanningSceneMonitor: Fix warning about having two publisher with the same node (#662 <https://github.com/ros-planning/moveit2/issues/662>)
  * Port moveit ros control interface to ROS2 (#545 <https://github.com/ros-planning/moveit2/issues/545>)
  * OccupancyMapMonitor tests using Dependency Injection (#569 <https://github.com/ros-planning/moveit2/issues/569>)
  * Fix reversed check (#623 <https://github.com/ros-planning/moveit2/issues/623>)
  * follow_joint_trajectory_controller_handle: publish new multi_dof_trajectory field (#492 <https://github.com/ros-planning/moveit2/issues/492>)
  * Fix warnings in Galactic and Rolling (#598 <https://github.com/ros-planning/moveit2/issues/598>)
    * Use __has_includes preprocessor directive for deprecated headers
    * Fix parameter template types
    * Proper initialization of smart pointers, rclcpp::Duration
  * Create a transform subscribers to enable virtual joints (#310 <https://github.com/ros-planning/moveit2/issues/310>)
  * Minor documentation and cleanup of TOTG plugin (#584 <https://github.com/ros-planning/moveit2/issues/584>)
  * Wait for complete state duration fix (#590 <https://github.com/ros-planning/moveit2/issues/590>)
  * Fix some format strings (#587 <https://github.com/ros-planning/moveit2/issues/587>)
  * Fixes for Windows (#530 <https://github.com/ros-planning/moveit2/issues/530>)
  * Tests for CurrentStateMonitor using dependency injection (#562 <https://github.com/ros-planning/moveit2/issues/562>)
  * Fix joint's position limits loading (#553 <https://github.com/ros-planning/moveit2/issues/553>)
  * Refactors for OccMapTree in PlanningScene (#2684 <https://github.com/ros-planning/moveit2/issues/2684>)
  * Move OccMapTree to moveit_core/collision_detection
  * Contributors: Akash, AndyZe, Bjar Ne, Henning Kayser, Jafar Abdi, Nathan Brooks, Simon Schmeisser, Tyler Weaver, Vatan Aksoy Tezer, Wyatt Rees, Jack, Dave Coleman,  Joe Schornak, Nisala Kalupahana, Lior Lustgarten, Jorge Nicho

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 08 Oct 2021 06:00:00 -0000

ros-galactic-moveit-ros-planning (2.2.1-1focal) focal; urgency=high

  * Fix unwanted override of URDF joint limit defaults (#546 <https://github.com/ros-planning/moveit2/issues/546>)
  * Contributors: Jafar Abdi



=== debian/control ===
Source: ros-galactic-moveit-ros-planning
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-galactic-ament-cmake, ros-galactic-ament-cmake-gmock, ros-galactic-ament-cmake-gtest, ros-galactic-ament-index-cpp, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-eigen3-cmake-module, ros-galactic-message-filters, ros-galactic-moveit-common, ros-galactic-moveit-core, ros-galactic-moveit-msgs, ros-galactic-moveit-resources-panda-moveit-config, ros-galactic-moveit-ros-occupancy-map-monitor, ros-galactic-pluginlib (>= 1.11.2), ros-galactic-rclcpp, ros-galactic-rclcpp-action, ros-galactic-ros-testing, ros-galactic-srdfdom, ros-galactic-tf2, ros-galactic-tf2-eigen, ros-galactic-tf2-geometry-msgs, ros-galactic-tf2-msgs, ros-galactic-tf2-ros, ros-galactic-urdf, ros-galactic-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-galactic-moveit-ros-planning
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-galactic-ament-index-cpp, ros-galactic-eigen3-cmake-module, ros-galactic-message-filters, ros-galactic-moveit-core, ros-galactic-moveit-msgs, ros-galactic-moveit-ros-occupancy-map-monitor, ros-galactic-pluginlib (>= 1.11.2), ros-galactic-rclcpp, ros-galactic-rclcpp-action, ros-galactic-srdfdom, ros-galactic-tf2, ros-galactic-tf2-eigen, ros-galactic-tf2-geometry-msgs, ros-galactic-tf2-msgs, ros-galactic-tf2-ros, ros-galactic-urdf, ros-galactic-ros-workspace
Conflicts: ros-galactic-moveit-ros-planning-interface (<< 2.1.5)
Replaces: ros-galactic-moveit-ros-planning-interface (<< 2.1.5)
Description: Planning components of MoveIt that use ROS

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-moveit-ros-planning//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
